Bug 2419 - NT_STATUS_ACCESS_DENIED with ADS
NT_STATUS_ACCESS_DENIED with ADS
Status: RESOLVED WONTFIX
Product: Samba 3.0
Classification: Unclassified
Component: smbclient
3.0.11
x86 Linux
: P3 major
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-03 19:16 UTC by james
Modified: 2005-03-04 06:47 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description james 2005-03-03 19:16:32 UTC
Using samba as file servers for group of Windows XP PCs. [homes] share access
denied when "valid users = %S" is present in smb.conf. 

Smbclient from samba fails with the error - NT_STATUS_ACCESS_DENIED. When I
comment  out "valid users = %S" from the homes hare user logs in okay. Error
repeatable and experienced on 3.09 and 3.0.11. 

wbinfo + getent work okay

Checked the mailing lists and there are a few similar ones but no resolution.

 
My Configuration is:
====================

SLES 9
Samba 3.0.11-2.1
samba server 192.168.1.11 / 172.16.29.127
ADServer: 172.16.29.128 - WIndows 2003
user is IDELTAAD/boss


smb.conf:
===========================

# smb.conf is the main Samba configuration file. You find a full commented
# version at /usr/share/doc/packages/samba/examples/smb.conf.SUSE
# Date: 2004-06-30
[global]
   workgroup = IDELTAAD
   realm = IDELTAAD.LOCAL
   security = ADS
   password server = 172.16.29.128
   os level = 10
   socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
   printing = cups
   printcap name = cups
   username map = /etc/samba/smbusers
   encrypt passwords = yes
   server string = Samba on iDeltaL1
   log file = /var/log/samba/%m
   max log size = 1024
   log level = 8 auth:9 passwdb:9
   idmap uid = 10000-20000
   idmap gid = 10000-20000
   ldap ssl = no
   template primary group = "Domain Users"
   winbind separator = /
   winbind use default domain = yes
   unix charset = LOCALE
   client use spnego = yes
   logon script = default.bat
   logon path = \\%L\profiles\%u
   logon drive = T:
   domain logons = no
[netlogon]
   path = /home/IDELTAAD/logon
[Docs]
   comment = iDeltaL1 Docs
   path = /usr/share/doc
   public = yes
   readonly = yes
   guest ok = yes
[homes]
   #comment = Home Directories
   comment = %S
   valid users = %S
   browseable = no
   read only = No
   inherit permissions = Yes
   preexec = echo "%S"  >/tmp/log
   printable = no

klist output:
===========================

Credentials cache: FILE:/tmp/krb5cc_0
        Principal: boss@IDELTAAD.LOCAL

  Issued           Expires          Principal
Mar  4 01:55:29  Mar  4 08:35:37  krbtgt/IDELTAAD.LOCAL@IDELTAAD.LOCAL
Mar  4 01:55:33  Mar  4 08:35:37  ideltal1$@IDELTAAD.LOCAL

smbclient:
===========================

smbclient -k //ideltal1/homes
OS=[Unix] Server=[Samba 3.0.11-2.1-SUSE]
tree connect failed: NT_STATUS_ACCESS_DENIED

client log (192.168.1.11)
===========================

2005/03/04 02:06:07, 6] param/loadparm.c:lp_file_list_changed(2698)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Fri Mar  4
02:05:41 2005

[2005/03/04 02:06:07, 3] smbd/oplock.c:init_oplocks(1345)
  open_oplock_ipc: opening loopback UDP socket.
[2005/03/04 02:06:07, 3] smbd/oplock_linux.c:linux_init_kernel_oplocks(303)
  Linux kernel oplocks enabled
[2005/03/04 02:06:07, 3] smbd/oplock.c:init_oplocks(1376)
  open_oplock ipc: pid = 14099, global_oplock_port = 1413
[2005/03/04 02:06:07, 4] lib/time.c:get_serverzone(122)
  Serverzone is 0
[2005/03/04 02:06:07, 6] smbd/process.c:process_smb(1090)
  got message type 0x0 of len 0xb3
[2005/03/04 02:06:07, 3] smbd/process.c:process_smb(1091)
  Transaction 0 of length 183
[2005/03/04 02:06:07, 5] lib/util.c:show_msg(464)
[2005/03/04 02:06:07, 5] lib/util.c:show_msg(474)
  size=179
  smb_com=0x72
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=8
  smb_flg2=51201
  smb_tid=0
  smb_pid=14098
  smb_uid=0
  smb_mid=1
  smt_wct=0
  smb_bcc=144
[2005/03/04 02:06:07, 3] smbd/process.c:switch_message(886)
  switch message SMBnegprot (pid 14099) conn 0x0
[2005/03/04 02:06:07, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/03/04 02:06:07, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2005/03/04 02:06:07, 5] auth/auth_util.c:debug_unix_user_token(507)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2005/03/04 02:06:07, 5] smbd/uid.c:change_to_root_user(296)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2005/03/04 02:06:07, 3] smbd/negprot.c:reply_negprot(461)
  Requested protocol [PC NETWORK PROGRAM 1.0]
[2005/03/04 02:06:07, 3] smbd/negprot.c:reply_negprot(461)
  Requested protocol [MICROSOFT NETWORKS 1.03]
[2005/03/04 02:06:07, 3] smbd/negprot.c:reply_negprot(461)
  Requested protocol [MICROSOFT NETWORKS 3.0]
[2005/03/04 02:06:07, 3] smbd/negprot.c:reply_negprot(461)
  Requested protocol [LANMAN1.0]
[2005/03/04 02:06:07, 3] smbd/negprot.c:reply_negprot(461)
  Requested protocol [LM1.2X002]
[2005/03/04 02:06:07, 3] smbd/negprot.c:reply_negprot(461)
  Requested protocol [DOS LANMAN2.1]
[2005/03/04 02:06:07, 3] smbd/negprot.c:reply_negprot(461)
  Requested protocol [Samba]
[2005/03/04 02:06:07, 6] param/loadparm.c:lp_file_list_changed(2698)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Fri Mar  4
02:05:41 2005

[2005/03/04 02:06:07, 5] smbd/connection.c:claim_connection(170)
  claiming  0
[2005/03/04 02:06:07, 6] param/loadparm.c:lp_file_list_changed(2698)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Fri Mar  4
02:05:41 2005

[2005/03/04 02:06:07, 3] smbd/negprot.c:reply_nt1(333)
  using SPNEGO
[2005/03/04 02:06:07, 3] smbd/negprot.c:reply_negprot(555)
  Selected protocol NT LANMAN 1.0
[2005/03/04 02:06:07, 5] smbd/negprot.c:reply_negprot(561)
  negprot index=7
[2005/03/04 02:06:07, 5] lib/util.c:show_msg(464)
[2005/03/04 02:06:07, 5] lib/util.c:show_msg(474)
  size=169
  smb_com=0x72
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=0
  smb_pid=14098
  smb_uid=0
  smb_mid=1
  smt_wct=17
  smb_vwv[ 0]=    7 (0x7)
  smb_vwv[ 1]=12803 (0x3203)
  smb_vwv[ 2]=  256 (0x100)
  smb_vwv[ 3]= 1024 (0x400)
  smb_vwv[ 4]=   65 (0x41)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=  256 (0x100)
  smb_vwv[ 7]= 4864 (0x1300)
  smb_vwv[ 8]=   55 (0x37)
  smb_vwv[ 9]=64768 (0xFD00)
  smb_vwv[10]=32995 (0x80E3)
  smb_vwv[11]=32896 (0x8080)
  smb_vwv[12]= 1937 (0x791)
  smb_vwv[13]=24250 (0x5EBA)
  smb_vwv[14]=50464 (0xC520)
  smb_vwv[15]=    1 (0x1)
  smb_vwv[16]=25600 (0x6400)
  smb_bcc=100
[2005/03/04 02:06:07, 6] lib/util_sock.c:write_socket(449)
  write_socket(26,173)
[2005/03/04 02:06:07, 6] lib/util_sock.c:write_socket(452)
  write_socket(26,173) wrote 173
[2005/03/04 02:06:07, 6] smbd/process.c:process_smb(1090)
  got message type 0x0 of len 0x536
[2005/03/04 02:06:07, 3] smbd/process.c:process_smb(1091)
  Transaction 1 of length 1338
[2005/03/04 02:06:07, 5] lib/util.c:show_msg(464)
[2005/03/04 02:06:07, 5] lib/util.c:show_msg(474)
  size=1334
  smb_com=0x73
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=8
  smb_flg2=51201
  smb_tid=0
  smb_pid=14098
  smb_uid=0
  smb_mid=2
  smt_wct=12
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=65535 (0xFFFF)
  smb_vwv[ 3]=    2 (0x2)
  smb_vwv[ 4]=    1 (0x1)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]= 1252 (0x4E4)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=49244 (0xC05C)
  smb_vwv[11]=32768 (0x8000)
  smb_bcc=1275
[2005/03/04 02:06:07, 3] smbd/process.c:switch_message(886)
  switch message SMBsesssetupX (pid 14099) conn 0x0
[2005/03/04 02:06:07, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/03/04 02:06:07, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2005/03/04 02:06:07, 5] auth/auth_util.c:debug_unix_user_token(507)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2005/03/04 02:06:07, 5] smbd/uid.c:change_to_root_user(296)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2005/03/04 02:06:07, 3] smbd/sesssetup.c:reply_sesssetup_and_X(655)
  wct=12 flg2=0xc801
[2005/03/04 02:06:07, 3] smbd/sesssetup.c:reply_sesssetup_and_X_spnego(535)
  Doing spnego session setup
[2005/03/04 02:06:07, 3] smbd/sesssetup.c:reply_sesssetup_and_X_spnego(566)
  NativeOS=[Unix] NativeLanMan=[Samba] PrimaryDomain=[]
[2005/03/04 02:06:07, 3] smbd/sesssetup.c:reply_spnego_negotiate(444)
  Got OID 1 2 840 48018 1 2 2
[2005/03/04 02:06:07, 3] smbd/sesssetup.c:reply_spnego_negotiate(444)
  Got OID 1 3 6 1 4 1 311 2 2 10
[2005/03/04 02:06:07, 3] smbd/sesssetup.c:reply_spnego_negotiate(447)
  Got secblob of size 1197
[2005/03/04 02:06:07, 3] libads/kerberos_verify.c:ads_secrets_verify_ticket(201)
  ads_secrets_verify_ticket: enc type [16] failed to decrypt with error Message
size is incompatible with encryption type
[2005/03/04 02:06:07, 3] libads/kerberos_verify.c:ads_secrets_verify_ticket(201)
  ads_secrets_verify_ticket: enc type [5] failed to decrypt with error Decrypt
integrity check failed
[2005/03/04 02:06:07, 5] libads/authdata.c:decode_pac_data(592)
  dump_pac_data
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000000 pac_io_pac_data pac data
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
      0000 num_buffers: 00000004
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
      0004 version: 00000000
[2005/03/04 02:06:07, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000008 pac_io_pac_info_hdr pac data
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          0008 type: 00000001
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          000c size: 00000210
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          0010 offset: 00000048
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          0014 offsethi: 00000000
[2005/03/04 02:06:07, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000018 pac_io_pac_info_hdr pac data
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          0018 type: 0000000a
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          001c size: 00000012
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          0020 offset: 00000258
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          0024 offsethi: 00000000
[2005/03/04 02:06:07, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000028 pac_io_pac_info_hdr pac data
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          0028 type: 00000006
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          002c size: 00000014
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          0030 offset: 00000270
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          0034 offsethi: 00000000
[2005/03/04 02:06:07, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000038 pac_io_pac_info_hdr pac data
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          0038 type: 00000007
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          003c size: 00000014
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          0040 offset: 00000288
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
          0044 offsethi: 00000000
[2005/03/04 02:06:07, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000048 pac_io_pac_info_hdr_ctr pac data
[2005/03/04 02:06:07, 5] libads/authdata.c:pac_io_pac_info_hdr_ctr(463)
  PAC_TYPE_LOGON_INFO
[2005/03/04 02:06:07, 7] rpc_parse/parse_prs.c:prs_debug(82)
          000048 pac_io_pac_logon_info pac data
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0048 unknown: 00081001
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              004c unknown: cccccccc
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0050 bufferlen: 00000200
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0054 bufferlenhi: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0058 pointer: 00020000
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              00005c smb_io_time logon_time
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  005c low : 0a80b534
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0060 high: 01c52059
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              000064 smb_io_time logoff_time
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0064 low : ffffffff
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0068 high: 7fffffff
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              00006c smb_io_time kickoff_time
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  006c low : ffffffff
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0070 high: 7fffffff
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              000074 smb_io_time pass_last_set_time
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0074 low : 7da28fec
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0078 high: 01c51ded
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              00007c smb_io_time pass_can_change_time
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  007c low : a80c4fec
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0080 high: 01c51eb6
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              000084 smb_io_time pass_must_change_time
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0084 low : ffffffff
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0088 high: 7fffffff
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              00008c smb_io_unihdr hdr_user_name
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  008c uni_str_len: 0008
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  008e uni_max_len: 0008
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0090 buffer     : 00020004
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              000094 smb_io_unihdr hdr_full_name
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  0094 uni_str_len: 0008
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  0096 uni_max_len: 0008
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0098 buffer     : 00020008
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              00009c smb_io_unihdr hdr_logon_script
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  009c uni_str_len: 003a
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  009e uni_max_len: 003a
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  00a0 buffer     : 0002000c
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              0000a4 smb_io_unihdr hdr_profile_path
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  00a4 uni_str_len: 0026
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  00a6 uni_max_len: 0026
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  00a8 buffer     : 00020010
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              0000ac smb_io_unihdr hdr_home_dir
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  00ac uni_str_len: 0000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  00ae uni_max_len: 0000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  00b0 buffer     : 00020014
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              0000b4 smb_io_unihdr hdr_dir_drive
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  00b4 uni_str_len: 0000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  00b6 uni_max_len: 0000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  00b8 buffer     : 00020018
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
              00bc logon_count: 0018
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
              00be reserved12: 0000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              00c0 user_rid: 00000460
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              00c4 group_rid: 00000201
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              00c8 group_count: 00000002
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              00cc group_mem_ptr: 0002001c
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              00d0 user_flags: 00000020
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              00d4 reserved13.0: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              00d8 reserved13.1: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              00dc reserved13.2: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              00e0 reserved13.3: 00000000
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              0000e4 smb_io_unihdr hdr_dom_controller
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  00e4 uni_str_len: 0010
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  00e6 uni_max_len: 0012
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  00e8 buffer     : 00020020
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              0000ec smb_io_unihdr hdr_dom_name
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  00ec uni_str_len: 0010
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
                  00ee uni_max_len: 0012
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  00f0 buffer     : 00020024
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              00f4 ptr_dom_sid: 00020028
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              00f8 reserved16.0: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              00fc reserved16.1: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0100 reserved17: 00000210
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0104 reserved18.0: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0108 reserved18.1: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              010c reserved18.2: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0110 reserved18.3: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0114 reserved18.4: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0118 reserved18.5: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              011c reserved18.6: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0120 sid_count: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0124 ptr_extra_sids: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0128 ptr_res_group_dom_sid: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              012c res_group_count: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0130 ptr_res_groups: 00000000
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              000134 smb_io_unistr2 uni_user_name
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0134 uni_max_len: 00000004
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0138 offset     : 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  013c uni_str_len: 00000004
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:dbg_rw_punival(814)
                  0140 buffer     : b.o.s.s.
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              000148 smb_io_unistr2 uni_full_name
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0148 uni_max_len: 00000004
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  014c offset     : 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0150 uni_str_len: 00000004
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:dbg_rw_punival(814)
                  0154 buffer     : b.o.s.s.
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              00015c smb_io_unistr2 uni_logon_script
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  015c uni_max_len: 0000001d
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0160 offset     : 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0164 uni_str_len: 0000001d
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:dbg_rw_punival(814)
                  0168 buffer     :
\.\.d.u.l.o.c.h.0.8.\.n.e.t.l.o.g.o.n.\.l.o.g.o.n...b.a.t.
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              0001a2 smb_io_unistr2 uni_profile_path
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  01a4 uni_max_len: 00000013
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  01a8 offset     : 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  01ac uni_str_len: 00000013
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:dbg_rw_punival(814)
                  01b0 buffer     : \.\.i.d.e.l.t.a.l.1.\.p.r.o.f.i.l.e.s.
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              0001d6 smb_io_unistr2 uni_home_dir
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  01d8 uni_max_len: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  01dc offset     : 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  01e0 uni_str_len: 00000000
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              0001e4 smb_io_unistr2 uni_dir_drive
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  01e4 uni_max_len: 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  01e8 offset     : 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  01ec uni_str_len: 00000000
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              0001f0 pac_io_group_membership_array group membership
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  01f0 count: 00000002
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                      01f4 rid: 0000045f
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                      01f8 attrs: 00000007
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                      01fc rid: 00000201
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                      0200 attrs: 00000007
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              000204 smb_io_unistr2 uni_dom_controller
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0204 uni_max_len: 00000009
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0208 offset     : 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  020c uni_str_len: 00000008
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:dbg_rw_punival(814)
                  0210 buffer     : D.U.L.O.C.H.0.8.
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              000220 smb_io_unistr2 uni_dom_name
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0220 uni_max_len: 00000009
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0224 offset     : 00000000
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0228 uni_str_len: 00000008
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:dbg_rw_punival(814)
                  022c buffer     : I.D.E.L.T.A.A.D.
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              00023c smb_io_dom_sid2 dom_sid
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  023c num_auths: 00000004
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint8(584)
                      0240 sid_rev_num: 01
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint8(584)
                      0241 num_auths  : 04
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint8(584)
                      0242 id_auth[0] : 00
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint8(584)
                      0243 id_auth[1] : 00
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint8(584)
                      0244 id_auth[2] : 00
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint8(584)
                      0245 id_auth[3] : 00
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint8(584)
                      0246 id_auth[4] : 00
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint8(584)
                      0247 id_auth[5] : 05
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32s(869)
                      0248 sub_auths : 00000015 0f0cb063 c8d20a4e 1fb776fe
[2005/03/04 02:06:07, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000258 pac_io_pac_info_hdr_ctr pac data
[2005/03/04 02:06:07, 5] libads/authdata.c:pac_io_pac_info_hdr_ctr(503)
  PAC_TYPE_UNKNOWN_10
[2005/03/04 02:06:07, 7] rpc_parse/parse_prs.c:prs_debug(82)
          000258 pac_io_unknown_type_10 pac data
[2005/03/04 02:06:07, 8] rpc_parse/parse_prs.c:prs_debug(82)
              000258 smb_io_time unknown_time
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  0258 low : 3dc07e80
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
                  025c high: 01c5205d
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16(613)
              0260 len: 0008
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint16s(772)
              0262 name: b.o.s.s.
[2005/03/04 02:06:07, 6] rpc_parse/parse_prs.c:prs_debug(82)
      00026a pac_io_pac_info_hdr_ctr pac data
[2005/03/04 02:06:07, 5] libads/authdata.c:pac_io_pac_info_hdr_ctr(449)
  offset in header(x270) and data(x26c) do not match
[2005/03/04 02:06:07, 5] libads/authdata.c:pac_io_pac_info_hdr_ctr(476)
  PAC_TYPE_SERVER_CHECKSUM
[2005/03/04 02:06:07, 7] rpc_parse/parse_prs.c:prs_debug(82)
          000270 pac_io_pac_signature_data pac data
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0270 type: ffffff76
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint8s(729)
              0274 signature: b7 04 cc 95 b5 21 48 a6 d2 42 af 95 bd 91 66 b1
[2005/03/04 02:06:07, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000284 pac_io_pac_info_hdr_ctr pac data
[2005/03/04 02:06:07, 5] libads/authdata.c:pac_io_pac_info_hdr_ctr(449)
  offset in header(x288) and data(x284) do not match
[2005/03/04 02:06:07, 5] libads/authdata.c:pac_io_pac_info_hdr_ctr(489)
  PAC_TYPE_PRIVSVR_CHECKSUM
[2005/03/04 02:06:07, 7] rpc_parse/parse_prs.c:prs_debug(82)
          000288 pac_io_pac_signature_data pac data
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint32(642)
              0288 type: ffffff76
[2005/03/04 02:06:07, 5] rpc_parse/parse_prs.c:prs_uint8s(729)
              028c signature: 61 e3 3f 48 d5 71 a9 2a ef 8e 6b 1d cf f5 f4 b9
[2005/03/04 02:06:07, 3] smbd/sesssetup.c:reply_spnego_kerberos(179)
  Ticket name is [boss@IDELTAAD.LOCAL]
[2005/03/04 02:06:07, 4] lib/username.c:map_username(132)
  Scanning username map /etc/samba/smbusers
[2005/03/04 02:06:07, 5] lib/username.c:Get_Pwnam(293)
  Finding user IDELTAAD/boss
[2005/03/04 02:06:07, 5] lib/username.c:Get_Pwnam_internals(223)
  Trying _Get_Pwnam(), username as lowercase is ideltaad/boss
[2005/03/04 02:06:07, 5] lib/username.c:Get_Pwnam_internals(251)
  Get_Pwnam_internals did find user [IDELTAAD/boss]!
[2005/03/04 02:06:07, 6] param/loadparm.c:lp_file_list_changed(2698)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Fri Mar  4
02:05:41 2005

[2005/03/04 02:06:07, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2005/03/04 02:06:07, 3] smbd/uid.c:push_conn_ctx(365)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2005/03/04 02:06:07, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2005/03/04 02:06:07, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2005/03/04 02:06:07, 5] auth/auth_util.c:debug_unix_user_token(507)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2005/03/04 02:06:07, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/03/04 02:06:07, 4] lib/substitute.c:automount_server(335)
  Home server: ideltal1
[2005/03/04 02:06:07, 5] auth/auth_util.c:debug_unix_user_token(507)
  UNIX token of user 10014
  Primary group is 10000 and contains 3 supplementary groups
  Group[  0]: 10000
  Group[  1]: 10010
  Group[  2]: 10020
[2005/03/04 02:06:07, 3] smbd/password.c:register_vuid(222)
  User name: IDELTAAD/boss      Real name: boss
[2005/03/04 02:06:07, 3] smbd/password.c:register_vuid(241)
  UNIX uid 10014 is UNIX user IDELTAAD/boss, and will be vuid 100
[2005/03/04 02:06:07, 7] param/loadparm.c:lp_servicenumber(4039)
  lp_servicenumber: couldn't find IDELTAAD/boss
[2005/03/04 02:06:07, 3] smbd/password.c:register_vuid(270)
  Adding homes service for user 'IDELTAAD/boss' using home directory:
'/home/IDELTAAD/boss'
[2005/03/04 02:06:07, 8] param/loadparm.c:add_a_service(2310)
  add_a_service: Creating snum = 5 for boss
[2005/03/04 02:06:07, 3] param/loadparm.c:lp_add_home(2351)
  adding home's share [boss] for user 'IDELTAAD/boss' at '/home/IDELTAAD/boss'
[2005/03/04 02:06:07, 6] param/loadparm.c:lp_file_list_changed(2698)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Fri Mar  4
02:05:41 2005

[2005/03/04 02:06:07, 6] lib/util_sock.c:write_socket(449)
  write_socket(26,242)
[2005/03/04 02:06:07, 6] lib/util_sock.c:write_socket(452)
  write_socket(26,242) wrote 242
[2005/03/04 02:06:07, 6] smbd/process.c:process_smb(1090)
  got message type 0x0 of len 0x54
[2005/03/04 02:06:07, 3] smbd/process.c:process_smb(1091)
  Transaction 2 of length 88
[2005/03/04 02:06:07, 5] lib/util.c:show_msg(464)
[2005/03/04 02:06:07, 5] lib/util.c:show_msg(474)
  size=84
  smb_com=0x75
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=8
  smb_flg2=51201
  smb_tid=0
  smb_pid=14098
  smb_uid=100
  smb_mid=3
  smt_wct=4
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    1 (0x1)
  smb_bcc=41
[2005/03/04 02:06:07, 3] smbd/process.c:switch_message(886)
  switch message SMBtconX (pid 14099) conn 0x0
[2005/03/04 02:06:07, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/03/04 02:06:07, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2005/03/04 02:06:07, 5] auth/auth_util.c:debug_unix_user_token(507)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2005/03/04 02:06:07, 5] smbd/uid.c:change_to_root_user(296)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2005/03/04 02:06:07, 4] smbd/reply.c:reply_tcon_and_X(407)
  Client requested device type [?????] for share [HOMES]
[2005/03/04 02:06:07, 5] smbd/service.c:make_connection(753)
  making a connection to [homes] service created at session setup time
[2005/03/04 02:06:07, 2] smbd/service.c:make_connection_snum(311)
  user 'IDELTAAD/boss' (from session setup) not permitted to access this share
(boss)
[2005/03/04 02:06:07, 3] smbd/error.c:error_packet(129)
  error packet at smbd/reply.c(415) cmd=117 (SMBtconX) NT_STATUS_ACCESS_DENIED
[2005/03/04 02:06:07, 5] lib/util.c:show_msg(464)
[2005/03/04 02:06:07, 5] lib/util.c:show_msg(474)
  size=35
  smb_com=0x75
  smb_rcls=34
  smb_reh=0
  smb_err=49152
  smb_flg=136
  smb_flg2=51201
  smb_tid=0
  smb_pid=14098
  smb_uid=100
  smb_mid=3
  smt_wct=0
  smb_bcc=0
[2005/03/04 02:06:07, 6] lib/util_sock.c:write_socket(449)
  write_socket(26,39)
[2005/03/04 02:06:07, 6] lib/util_sock.c:write_socket(452)
  write_socket(26,39) wrote 39
[2005/03/04 02:06:07, 3] smbd/process.c:timeout_processing(1334)
  timeout_processing: End of file from client (client has disconnected).
[2005/03/04 02:06:07, 5] lib/gencache.c:gencache_shutdown(88)
  Closing cache file
[2005/03/04 02:06:07, 5] libsmb/namecache.c:namecache_shutdown(79)
  namecache_shutdown: netbios namecache closed successfully.
[2005/03/04 02:06:07, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/03/04 02:06:07, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2005/03/04 02:06:07, 5] auth/auth_util.c:debug_unix_user_token(507)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2005/03/04 02:06:07, 5] smbd/uid.c:change_to_root_user(296)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2005/03/04 02:06:07, 2] smbd/server.c:exit_server(609)
  Closing connections
[2005/03/04 02:06:07, 5] auth/auth_util.c:free_server_info(1374)
  attempting to free (and zero) a server_info structure
[2005/03/04 02:06:07, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to
[2005/03/04 02:06:07, 5] smbd/oplock.c:receive_local_message(107)
  receive_local_message: doing select with timeout of 1 ms
[2005/03/04 02:06:07, 3] smbd/server.c:exit_server(652)
  Server exit (normal exit)

wbinfo -u
===============
administrator
guest
support_388945a0
duloch08$
krbtgt
dulochxp$
stu
dunfermline_glasgow
jfclap$
jfc
ideltal1$
fred
glasgowrouter
tom
boss


wbinfo -g
==========
BUILTIN/system operators
BUILTIN/replicators
BUILTIN/guests
BUILTIN/power users
BUILTIN/print operators
BUILTIN/administrators
BUILTIN/account operators
BUILTIN/backup operators
BUILTIN/users
domain computers
domain controllers
schema admins
enterprise admins
domain admins
domain users
domain guests
group policy creator owners
dnsupdateproxy
buckloo_remote
managers
Comment 1 Gerald (Jerry) Carter 2005-03-04 06:47:59 UTC
user 'IDELTAAD/boss' (from session setup) not permitted to access this share
^^^^^^^^^^^^^^^^^^^^
(boss)
error packet at smbd/reply.c(415) cmd=117 (SMBtconX) NT_STATUS_ACCESS_DENIED

Use 'valid users = IDELTAAD/%s'

This behavior is by design.